/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.containers;

import java.util.LinkedHashSet;
import java.util.Set;

import net.sourceforge.mysources.thinkinjava4.utils.CollectionData;
import net.sourceforge.mysources.thinkinjava4.utils.Generator;
import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 测试类
 *
 * @anthor Lucky Yang<1290308475@qq.com>
 * @Date 2012-12-23
 * @since 1.1.2
 */
class Government implements Generator<String>{
	String[] foundation = ("strange women lying in ponds " +
			"distributing swords is no basis for a system of " +
			"government").split(" ");
	private int index;
	@Override
	public String next() {
		return foundation[index++];
	}
	
}
public class CollectionDataTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Set<String> set = new LinkedHashSet<String>(
				new CollectionData<String>(new Government(), 15));
		// Using the convenience method
		set.addAll(CollectionData.list(new Government(), 15));
		Print.print(set);
	}

}


