/**
   JBook. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.mysources.thinkinjava4.enumerated;

/**
 * 使用接口组织枚举
 *
 * @author Lucky Yang
 * @since 0.1
 */
public interface Food {
	enum Appetizer implements Food { 
	    SALAD, SOUP, SPRING_ROLLS; 
	  } 
	  enum MainCourse implements Food { 
	    LASAGNE, BURRITO, PAD_THAI, 
	    LENTILS, HUMMOUS, VINDALOO; 
	  } 
	  enum Dessert implements Food { 
	    TIRAMISU, GELATO, BLACK_FOREST_CAKE, 
	    FRUIT, CREME_CARAMEL; 
	  } 
	  enum Coffee implements Food { 
	    BLACK_COFFEE, DECAF_COFFEE, ESPRESSO, 
	    LATTE, CAPPUCCINO, TEA, HERB_TEA; 
	  }
}
