/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.mysources.thinkinjava4.enumerated;

import static net.sourceforge.mysources.thinkinjava4.enumerated.Outcome.*;
/**
 * “石头，剪刀，布“ 游戏。枚举实现
 *
 * @author Lucky Yang
 * @since 0.1
 */
public enum RoShamBo2 implements Competitor<RoShamBo2>{
	PAPER(DRAW, LOSE, WIN),
	SCISSORS(WIN, DRAW, LOSE),
	ROCK(LOSE, WIN, DRAW);
	
	private Outcome vPAPER, vSCISSORS, vROCK;

	private RoShamBo2(Outcome vPAPER, Outcome vSCISSORS, Outcome vROCK) {
		this.vPAPER = vPAPER;
		this.vSCISSORS = vSCISSORS;
		this.vROCK = vROCK;
	}
	
	public Outcome compete(RoShamBo2 it){
		switch(it){
		default:
		case PAPER: return vPAPER;
		case SCISSORS: return vSCISSORS;
		case ROCK: return vROCK;
		}
	}
	
	public static void main(String[] args){
		RoShamBo.play(RoShamBo2.class, 20);
	}
}
