/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.enumerated;

import net.sourceforge.mysources.thinkinjava4.utils.Print;


/**
 * 即便Enum接口中没有values()方法，我们还是
 * 可以通过Class对象取得所有enum实例
 *
 * @author Lucky Yang
 * @since 0.1
 */

enum Search {HITHER, YON}

public class UpcastEnum {
	/**
	 * @param args
	 */
	@SuppressWarnings("rawtypes")
	public static void main(String[] args) {
		Enum e = Search.HITHER; // Upcast
		// e.values();// No values() in Enum
		for(Enum en : e.getClass().getEnumConstants()){
			Print.print(en);
		}
	}
}
