/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.io;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringReader;

import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 文本文件输出的快捷方式
 * <p>
 *
 * @anthor Lucky Yang
 * @Date 2012-11-23
 * @since 1.0.0
 */
public class FileOutputShortcut {
	static String file ="pom.out";
	public static void main(String[] args) throws IOException{
		BufferedReader in = new BufferedReader(
				new StringReader(
						BufferedInputFile.read("Copyright.txt")));
		
		PrintWriter out = new PrintWriter(file);
		int lineCount = 1;
		String s;
		while((s=in.readLine()) != null)
			out.print(lineCount++ + ": " + s + "\n");
		out.close();
		
		// Show the stored file
		Print.print(BufferedInputFile.read(file));
	}
}


