/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.io;

import java.io.ByteArrayInputStream;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;

import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 格式化的内存输入。注意：中文存在乱码
 * <p>
 * 
 * 
 * @anthor Lucky Yang
 * @Date 2012-11-23
 * @since 1.0.0
 */
public class FormattedMemoryInput {
	public static void main(String[] args) throws IOException{
		try{
			DataInputStream in = new DataInputStream(
					new ByteArrayInputStream(
							BufferedInputFile.read(
									"Copyright.txt").getBytes()));
			
			while(true)
				Print.printnb((char)in.readByte());
		}catch(EOFException e){
			System.err.println("End of stream");
		}
	}
}


