/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
/**
 * 
 */
package net.sourceforge.mysources.thinkinjava4.io;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;

import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 反序列化
 * <p>
 * Try to recover a serialized file without the
 * class of object that’s stored in that file. 
 *
 * @anthor Lucky Yang<1290308475@qq.com>
 * @Date 2012-12-2
 * @since 1.0.0
 */
public class ThawAlien {

	/**
	 * @param args
	 * @throws IOException 
	 * @throws FileNotFoundException 
	 * @throws ClassNotFoundException 
	 */
	public static void main(String[] args) throws FileNotFoundException, IOException, ClassNotFoundException {
		ObjectInputStream in = new ObjectInputStream(
				new FileInputStream(
						new File("X.file")));
		Object mystery = in.readObject();
		Print.print(mystery.getClass());
	}

}


