/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.utils;

/**
 * 测试
 *
 * @anthor Lucky Yang<1290308475@qq.com>
 * @Date 2012-12-23
 * @since 1.1.2
 */
public class GeneratorsTest {
	public static int size = 10;
	
	public static void test(Class<?> surroundingClass){
		for(Class<?> type : surroundingClass.getClasses()){
			Print.printnb(type.getSimpleName() + ":");
			try{
				Generator<?> g = (Generator<?>)type.newInstance();
				for(int i = 0; i < size; i++)
					Print.printnb(g.next() + " ");
				Print.print();
			}catch(Exception e){
				throw new RuntimeException(e);
			}
		}
	}
	
	public static void main(String[] args){
		test(CountingGenerator.class);
	}
}


