/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.containers;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 填充容器
 * <p>
 * The Collections.fill() & Collections.nCopies() methods.
 *
 * @anthor Lucky Yang<1290308475@qq.com>
 * @Date 2012-12-23
 * @since 1.1.2
 */
class StringAddress{
	private String s;
	public StringAddress(String s){this.s = s;}
	public String toString(){
		return super.toString() + " " + s;
	}
}

public class FillingLists {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		List<StringAddress> list = new ArrayList<StringAddress>(
				Collections.nCopies(4, new StringAddress("Hello")));
		Print.print(list);
		Collections.fill(list, new StringAddress("World!"));
		Print.print(list);
	}

}


