/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.enumerated;

import static net.sourceforge.mysources.thinkinjava4.enumerated.Spiciness.*;
import static net.sourceforge.mysources.thinkinjava4.utils.Print.*;

/**
 * 静态导入用于enum
 *
 * @author Lucky Yang
 * @since 0.1
 */
public class Burrito {
	private Spiciness degree;
	public Burrito(Spiciness degree){ this.degree = degree;}
	public String toString(){return "Burrito is " + degree;}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		print(new Burrito(NOT));
		print(new Burrito(MEDIUM));
		print(new Burrito(HOT));
	}
}
