/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.mysources.thinkinjava4.enumerated;

import net.sourceforge.mysources.thinkinjava4.utils.OSExecute;
import net.sourceforge.mysources.thinkinjava4.utils.Print;
/**
 * 通过相应的enum实例，我们可以调用其上的方法，
 * 这通常也称为表驱动的代码
 *
 * @author Lucky Yang
 * @since 0.1
 */
public enum LikeClasses {
	WINKEN{void behavior(){ Print.print("Behavior1");}},
	BLINKEN{void behavior(){ Print.print("Behavior2");}},
	NOD{void behavior(){ Print.print("Behavior3");}};
	
	abstract void behavior();
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		OSExecute.command("javap target/classes/org/jbook/thinkinjava4/enumclass/LikeClasses");
	}	
}
