/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.mysources.thinkinjava4.enumerated;

import net.sourceforge.mysources.thinkinjava4.utils.Print;
/**
 * enum实例覆盖常量相关方法
 *
 * @author Lucky Yang
 * @since 0.1
 */
public enum OverrideConstantSpecific {
	NUT, BOLT,
	WASHER {
		void f(){ Print.print("Overridden method");}
	};
	
	void f(){ Print.print("default method");}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		for(OverrideConstantSpecific ocs : OverrideConstantSpecific.values()){
			Print.print(ocs + ":");
			ocs.f();
		}
	}	
}
