/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.enumerated;

import net.sourceforge.mysources.thinkinjava4.utils.Enums;

/**
 * 随机选取
 * <p>
 *
 * @anthor Lucky Yang
 * @Date 2012-11-25
 * @since 1.0.0
 */

enum Activity { SITTING, LYING, STANDING, HOPPING, 
	  RUNNING, DODGING, JUMPING, FALLING, FLYING } 
	 
public class RandomTest {
	public static void main(String[] args) { 
	    for(int i = 0; i < 20; i++) 
	      System.out.print(Enums.random(Activity.class) + " "); 
	  } 
}


