/**
   Copyright (C) 2012 . see<http://mysources.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */
package net.sourceforge.mysources.thinkinjava4.io;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import net.sourceforge.mysources.thinkinjava4.utils.Print;

/**
 * 缓冲输入文件，一行一行读。
 * <p>
 *
 * @anthor Lucky Yang
 * @Date 2012-11-23
 * @since 1.0.0
 */
public class BufferedInputFile {
	// Throw exceptions to console
	public static String read(String filename) throws IOException{
		// Reading input by lines
		BufferedReader in = new BufferedReader(
				new FileReader(filename));
		String s;
		StringBuilder sb = new StringBuilder();
		while((s=in.readLine())!=null)
			sb.append(s + "\n");
		in.close();
		return sb.toString();
	}
	
	public static void main(String[] args) throws IOException{
		Print.print(read("Copyright.txt"));
	}
}


